/*
 * NAME
 *     Message.h -- Message handling definitions
 *
 * AUTHOR
 *     Ken MacLeod
 *
 * SCCS
 *     @(#) Message.h  1.2 11 Nov 1990 07:41:52 
 */

#define _transferProtocol 0x00000001l
#define _readNew 0x00000008l
#define _readForward 0x00000010l
#define _readAll 0x00000020l
#define _readMoreDefault 0x00000040l
#define _readMore 0x00000080l
#define _readGlobal 0x00000100l
#define _readFloor 0x00000200l
#define _readHeaders 0x00000400l

#define _hdrFrom_ 0
#define _hdrFrom 1
#define _hdrPath 2
#define _hdrNewsgroups 3
#define _hdrSubject 4
#define _hdrMessageID 5
#define _hdrReplyTo 6
#define _hdrReferences 7
#define _hdrDate 8
#define _hdrExpires 9
#define _hdrControl 10
#define _hdrSender 11
#define _hdrFollowupTo 12
#define _hdrDistribution 13
#define _hdrOrganization 14
#define _hdrLines 15
#define _hdrKeywords 16
#define _hdrSummary 17
#define _hdrApproved 18
#define _hdrUploadFile 19
#define _hdrTo 20
#define _hdrPriority 21
#define _hdrContentType 22
#define _hdrCc 23
#define _hdrBcc 24
#define _hdrUser0 25
#define _hdrUser1 26
#define _hdrUser2 27
#define _hdrUser3 28
#define _hdrUser4 29
#define _hdrUser5 30
#define _hdrUser6 31
#define _hdrUser7 32
#define _hdrUser8 33
#define _hdrUser9 34

#define _hdrMax 35

extern char signature[];

extern char *editorName, *editorDescription, *editorFlags,
  *editorCommand, *filePager;

typedef struct {
	long number;
	unsigned int read:1;
	unsigned int checked:1;
} Article;

extern Article *articles;
extern int numArticles;
